Last Comment Bug 739049 - Bookmark edit panels do not expand correctly
: Bookmark edit panels do not expand correctly
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.11
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks: 605786
  Show dependency treegraph
 
Reported: 2012-03-25 04:36 PDT by neil@parkwaycc.co.uk
Modified: 2012-04-29 00:23 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed


Attachments
Proposed patch [Checkin: Comments 3 and 7] (3.91 KB, patch)
2012-03-25 04:40 PDT, neil@parkwaycc.co.uk
jh: review+
jh: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑release+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2012-03-25 04:36:59 PDT
The expanders in the star popup and bookmark manager edit panel do not properly resize the container to accommodate the extra controls.
Comment 1 neil@parkwaycc.co.uk 2012-03-25 04:40:28 PDT
Created attachment 609105 [details] [diff] [review]
Proposed patch [Checkin: Comments 3 and 7]

[Approval Request Comment]
Regression caused by (bug #): 605786
User impact if declined: Unable to use parts of the UI
Testing completed (on m-c, etc.): Almost got r=InvisibleSmiley in bug 733687
Risk to taking this patch (and alternatives if risky): Low
String changes made by this patch: None
Comment 2 Jens Hatlak (:InvisibleSmiley) 2012-03-25 09:51:17 PDT
Comment on attachment 609105 [details] [diff] [review]
Proposed patch [Checkin: Comments 3 and 7]

Confirming regression fix using local Aurora build with the patch.
Comment 3 neil@parkwaycc.co.uk 2012-03-25 16:42:04 PDT
Pushed changeset 7ab228e905a7 to mozilla-central.
Comment 4 Jens Hatlak (:InvisibleSmiley) 2012-03-25 23:18:25 PDT
(In reply to neil@parkwaycc.co.uk from comment #3)
> Pushed changeset 7ab228e905a7 to mozilla-central.
                                   ^^^^^^^
Hardly. ;-) You can make everyone's life easier by noting the URL instead, like the rest of us does.
Comment 5 neil@parkwaycc.co.uk 2012-03-26 00:35:41 PDT
(In reply to Jens Hatlak from comment #4)
> (In reply to comment #3)
> > Pushed changeset 7ab228e905a7 to mozilla-central.
>                                    ^^^^^^^
> Hardly. ;-) You can make everyone's life easier by noting the URL instead,
> like the rest of us does.

Oops. But how else will I copy all three changesets at once from the pushlog?
Comment 6 Jens Hatlak (:InvisibleSmiley) 2012-03-26 01:18:03 PDT
(In reply to neil@parkwaycc.co.uk from comment #5)
> Oops. But how else will I copy all three changesets at once from the pushlog?

Here's what I do:
1. Middle-click the links of all changesets I want to note so they'll open in new tabs.
2. Verify once more that I actually pushed the right stuff with the right bug numbers/descriptions.
3. Middle-click the bug links from the summaries. With tabs opening relative, I get an alternating list of tabs, like [changeset 1][bug for changeset 1][...].
4. Copy the contents of the location bar of each changeset page, go one tab to the left, do my thing [1], rinse, repeat.

[1] Scroll down, remember last comment number (+1), scroll up, middle-click attachment's "Details" link, paste changeset URL in comment box, click "(edit details)" link, append " [Checkin: Comment x]", where x is what I remembered (or if memory fails me, go back to the other tab). Close tabs as necessary.
Comment 7 Jens Hatlak (:InvisibleSmiley) 2012-03-26 11:33:59 PDT
Comment on attachment 609105 [details] [diff] [review]
Proposed patch [Checkin: Comments 3 and 7]

http://hg.mozilla.org/releases/comm-aurora/rev/dcc865d68be7
Comment 8 Jens Hatlak (:InvisibleSmiley) 2012-04-26 08:56:15 PDT
Bah, since bug 605786 landed on beta before the uplift, this one should have been landed on beta, too. Now this bug is in SM 2.9. :-(

Callek, if by any chance we need to have a 2.9.1, please let us include this bugfix (see comment 1 for risk assertion).
Comment 9 Justin Wood (:Callek) 2012-04-28 23:51:16 PDT
Comment on attachment 609105 [details] [diff] [review]
Proposed patch [Checkin: Comments 3 and 7]

[Triage Comment]
Yea lets take this for 2.9.1
Comment 10 Justin Wood (:Callek) 2012-04-29 00:23:12 PDT
http://hg.mozilla.org/releases/comm-release/rev/c475bdfedc35

Note You need to log in before you can comment on or make changes to this bug.